# Log_Msg.cpp File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE.h"`
`#include "ace/Thread_Manager.h"`
`#include "ace/Guard_T.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_NS_sys_time.h"`
`#include "ace/OS_NS_wchar.h"`
`#include "ace/OS_NS_signal.h"`
`#include "ace/OS_NS_unistd.h"`
`#include "ace/Object_Manager_Base.h"`
`#include "ace/streams.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Log_Msg_Callback.h"`
`#include "ace/Log_Msg_IPC.h"`
`#include "ace/Log_Msg_NT_Event_Log.h"`
`#include "ace/Log_Msg_UNIX_Syslog.h"`
`#include "ace/Log_Record.h"`
`#include "ace/Recursive_Thread_Mutex.h"`

Include dependency graph for Log_Msg.cpp:

## Classes

class | ACE_Log_Msg_Manager
| Synchronize output operations. More...

## Defines

#define | ACE_NTRACE 1
#define | ACE_LOG_MSG_SYSLOG_BACKEND ACE_Log_Msg_NT_Event_Log
#define | ACE_UPDATE_COUNT(COUNT, LEN)

## Define Documentation

#define ACE_LOG_MSG_SYSLOG_BACKEND ACE_Log_Msg_NT_Event_Log

#define ACE_NTRACE 1

#define ACE_UPDATE_COUNT | ( | COUNT,
|  | LEN |  | ) |

Value:

    do { if (static_cast<size_t> (LEN) > COUNT) COUNT = 0; \
         else COUNT -= static_cast<size_t> (LEN); \
       } while (0)